{ pkgs, ... }@all: with all;

{
  environment.systemPackages = with pkgs; [
    lazydocker
    docker-compose-language-service
  ];
  
  virtualisation.docker = {
    enable = true;
    # daemon.settings = {
    #   vpnKitMaxPortIdleTime = 0;
    # };
  };
  users.users."${hyper.user}".extraGroups = [ "docker" ];
  networking.firewall.allowedTCPPorts = [ 
    80
    443
    8384
  ];
}
